import 'package:fis_jsonrpc/rpc.dart';
import 'package:vnoteapp/managers/interfaces/system_setting.dart';
import 'package:vnoteapp/rpc.dart';
import 'package:vnoteapp/store/store.dart';
import 'package:fis_common/logger/logger.dart';

class SystemSettingManager implements ISystemSettingManager {
  /// 获取系统模板设置

  @override
  Future<SyncSettingsDTO?> syncSetting(SyncSettingRequest request) async {
    try {
      request.token = Store.user.token;
      final result = await rpc.systemSetting.syncSettingAsync(request);
      return result;
    } catch (e) {
      logger.e("PatientManager query patient paged list error.", e);
      return null;
    }
  }
}
